[arch-commits] Commit in gimp/repos (3 files)

Eric Bélanger eric at archlinux.org
Mon Nov 30 15:13:02 EST 2009


    Date: Monday, November 30, 2009 @ 15:13:02
  Author: eric
Revision: 60029

Merged revisions 60028 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/gimp/trunk

........
  r60028 | eric | 2009-11-30 15:12:44 -0500 (Mon, 30 Nov 2009) | 2 lines
  
  upgpkg: gimp 2.6.7-1
      Upstream update, Added symlinks for binaries and man pages
........

Modified:
  gimp/repos/extra-i686/	(properties)
  gimp/repos/extra-i686/PKGBUILD
Deleted:
  gimp/repos/extra-i686/gimp-2.6.6-help-browser-webkit.patch

--------------------------------------+
 PKGBUILD                             |   28 ++----
 gimp-2.6.6-help-browser-webkit.patch |  145 ---------------------------------
 2 files changed, 13 insertions(+), 160 deletions(-)


Property changes on: gimp/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /gimp/trunk:1-49447
   + /gimp/trunk:1-60028

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-30 20:12:44 UTC (rev 60028)
+++ extra-i686/PKGBUILD	2009-11-30 20:13:02 UTC (rev 60029)
@@ -2,15 +2,15 @@
 # Maintainer: tobias <tobias at archlinux.org>
 
 pkgname=gimp
-pkgver=2.6.6
-pkgrel=3
+pkgver=2.6.7
+pkgrel=1
 pkgdesc="GNU Image Manipulation Program"
 arch=('i686' 'x86_64')
 url="http://www.gimp.org/"
 license=('GPL')
 depends=('gtk2>=2.14.4' 'lcms>=1.17' 'libxpm>=3.5.7' 'libwmf>=0.2.8.4'
          'libxmu>=1.0.4' 'librsvg>=2.22.3' 'libmng>=1.0.10' 'dbus-glib>=0.76'
-         'libexif>=0.6.16' 'pygtk>=2.13.0' 'desktop-file-utils' 'gegl>=0.0.22'
+         'libexif>=0.6.16' 'pygtk>=2.13.0' 'desktop-file-utils' 'gegl>=0.1.0'
          'curl')
 makedepends=('gutenprint>=5.0.2' 'intltool>=0.35.5' 'libwebkit'
              'gnome-python>=2.16.2' 'poppler-glib>=0.10.0' 'pkgconfig>=0.21'
@@ -24,23 +24,21 @@
 conflicts=('gimp-devel')
 install=gimp.install
 source=(ftp://ftp.gimp.org/pub/gimp/v${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2
-        linux.gpl gimp-2.6.6-help-browser-webkit.patch)
-md5sums=('23d880dd09cd62c936ed04666a53f8e4' 'bb27bc214261d36484093e857f015f38'\
-         'ba425a9108d8bf70b83da867a9d0c5d6')
-sha1sums=('71aec5cd671a2431daa91dea91abb6d3822a896b' '110ce9798173b19a662d086ed7b882b4729f06cf'\
-         '399a581cbf700e1613e080d91b7b2cccfdfea9da')
+        linux.gpl)
+md5sums=('77ed86a8de9b48587efb24f2b115ad38' 'bb27bc214261d36484093e857f015f38')
+sha1sums=('0661d162fecfd907e183ce42853dd5b9d3cb4c51' '110ce9798173b19a662d086ed7b882b4729f06cf')
 
 build() {
-   cd ${srcdir}/${pkgname}-${pkgver}
-   patch -p1 < ../gimp-2.6.6-help-browser-webkit.patch || return 1
+   cd "${srcdir}/${pkgname}-${pkgver}"
    ./configure --prefix=/usr --sysconfdir=/etc \
      --enable-mp --enable-gimp-console --enable-gimp-remote \
      --disable-devel-docs --enable-python --without-gvfs \
      --without-gnomevfs --with-gif-compression=lzw --without-aa || return 1
    make || return 1
-   make DESTDIR=${pkgdir} install-strip || return 1
-   install -Dm644 ${srcdir}/linux.gpl \
-     ${pkgdir}/usr/share/gimp/2.0/palettes/Linux.gpl || return 1
-   cd ${pkgdir}/usr/share/man/man1
-   ln -sf gimp-console-2.6.1.gz gimp-console.1
+   make DESTDIR="${pkgdir}" install-strip || return 1
+   install -Dm644 "${srcdir}/linux.gpl" "${pkgdir}/usr/share/gimp/2.0/palettes/Linux.gpl" || return 1
+
+   ln -sf gimp-console-${pkgver%.*}.1.gz "${pkgdir}/usr/share/man/man1/gimp-console.1" || return 1
+   ln -s gimptool-2.0 "${pkgdir}/usr/bin/gimptool" || return 1
+   ln -sf gimptool-2.0.1.gz "${pkgdir}/usr/share/man/man1/gimptool.1" || return 1
 }

Deleted: extra-i686/gimp-2.6.6-help-browser-webkit.patch
===================================================================
--- extra-i686/gimp-2.6.6-help-browser-webkit.patch	2009-11-30 20:12:44 UTC (rev 60028)
+++ extra-i686/gimp-2.6.6-help-browser-webkit.patch	2009-11-30 20:13:02 UTC (rev 60029)
@@ -1,145 +0,0 @@
-commit 76c11122dd72e2c47675da394dadcca53c9069dd
-Author: Nils Philippsen <nils at redhat.com>
-Date:   Mon Jun 29 13:34:13 2009 +0200
-
-    patch: help-browser-webkit
-    
-    Squashed commit of the following:
-    
-    commit 7f26593f67532850a2c3e1141f5c7f5e667b9064
-    Author: Sven Neumann <sven at gimp.org>
-    Date:   Tue May 12 09:39:21 2009 +0200
-    
-        help-browser: fix history menus
-    
-        The history menus located at the back and forward buttons stopped working
-        after a webkit update some time ago. With these changes the menus work
-        again, at least with recent webkit releases.
-    
-        Signed-off-by: Nils Philippsen <nils at redhat.com>
-    
-    commit 7647788dbf37369b602361a6abd598388a4cb923
-    Author: Sven Neumann <sven at gimp.org>
-    Date:   Sat Mar 28 16:42:50 2009 +0000
-    
-        Bug 577024 – help-browser plugin crashes when used with webkit 1.1.3
-    
-        2009-03-28  Sven Neumann  <sven at gimp.org>
-    
-        	Bug 577024 – help-browser plugin crashes when used with webkit 1.1.3
-    
-        	* plug-ins/help-browser/help-browser.c (run): call g_thread_init().
-        	Seems to be needed with newer versions of webkit.
-    
-        svn path=/trunk/; revision=28227
-    
-        Signed-off-by: Nils Philippsen <nils at redhat.com>
-
-diff --git a/plug-ins/help-browser/dialog.c b/plug-ins/help-browser/dialog.c
-index 5ad6a06..159c67a 100644
---- a/plug-ins/help-browser/dialog.c
-+++ b/plug-ins/help-browser/dialog.c
-@@ -886,27 +886,30 @@ close_callback (GtkAction *action,
- }
- 
- static void
--menu_callback (GtkWidget            *menu,
--               WebKitWebHistoryItem *item)
-+menu_callback (GtkWidget *menu,
-+               gpointer   data)
- {
--  browser_dialog_load (webkit_web_history_item_get_uri (item));
-+  gint steps = GPOINTER_TO_INT (data);
-+
-+  webkit_web_view_go_back_or_forward (WEBKIT_WEB_VIEW (view), steps);
- }
- 
--/*  this function unrefs the items and frees the list  */
- static GtkWidget *
--build_menu (GList *items)
-+build_menu (const GList *items,
-+            gboolean     back)
- {
--  GtkWidget *menu;
--  GList     *list;
-+  GtkWidget   *menu;
-+  const GList *iter;
-+  gint         steps;
- 
-   if (! items)
-     return NULL;
- 
-   menu = gtk_menu_new ();
- 
--  for (list = items; list; list = g_list_next (list))
-+  for (iter = items, steps = 1; iter; iter = g_list_next (iter), steps++)
-     {
--      WebKitWebHistoryItem *item = list->data;
-+      WebKitWebHistoryItem *item = iter->data;
-       const gchar          *title;
- 
-       title = webkit_web_history_item_get_title (item);
-@@ -918,16 +921,12 @@ build_menu (GList *items)
-           gtk_menu_shell_append (GTK_MENU_SHELL (menu), menu_item);
-           gtk_widget_show (menu_item);
- 
--          g_signal_connect_object (menu_item, "activate",
--                                   G_CALLBACK (menu_callback),
--                                   item, 0);
--
--          g_object_unref (item);
-+          g_signal_connect (menu_item, "activate",
-+                            G_CALLBACK (menu_callback),
-+                            GINT_TO_POINTER (back ? - steps : steps));
-         }
-     }
- 
--  g_list_free (items);
--
-   return menu;
- }
- 
-@@ -950,12 +949,12 @@ update_actions (void)
- 
-   if (back_forward_list)
-     {
--      GList *list;
-+      const GList *list;
- 
-       list = webkit_web_back_forward_list_get_back_list_with_limit (back_forward_list,
-                                                                     12);
-       gtk_menu_tool_button_set_menu (GTK_MENU_TOOL_BUTTON (button_prev),
--                                     build_menu (list));
-+                                     build_menu (list, TRUE));
-     }
-   else
-     {
-@@ -971,12 +970,12 @@ update_actions (void)
- 
-   if (back_forward_list)
-     {
--      GList *list;
-+      const GList *list;
- 
-       list = webkit_web_back_forward_list_get_forward_list_with_limit (back_forward_list,
-                                                                        12);
-       gtk_menu_tool_button_set_menu (GTK_MENU_TOOL_BUTTON (button_next),
--                                     build_menu (list));
-+                                     build_menu (list, FALSE));
-     }
-   else
-     {
-diff --git a/plug-ins/help-browser/help-browser.c b/plug-ins/help-browser/help-browser.c
-index efbabfe..d632d9c 100644
---- a/plug-ins/help-browser/help-browser.c
-+++ b/plug-ins/help-browser/help-browser.c
-@@ -129,6 +129,9 @@ run (const gchar      *name,
- 
-   INIT_I18N ();
- 
-+  if (! g_thread_supported ())
-+    g_thread_init (NULL);
-+
-   switch (run_mode)
-     {
-     case GIMP_RUN_INTERACTIVE:



More information about the arch-commits mailing list